%define pname mcrypt

Name:           python-%{pname}
Version:        1.1
Release:        1%{?dist}
Epoch:			100
Summary:        A comprehensive Python interface to the mcrypt library

Group:          Development/Languages
License:        Python
Source0:		http://labix.org/download/python-mcrypt/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       libmcrypt
BuildRequires:  python-devel libmcrypt-devel
BuildRequires:  python-setuptools

%description
python-mcrypt is a comprehensive Python interface to the mcrypt library,
which is a library providing a uniform interface to several symmetric
encryption algorithms. It is intended to have a simple interface to
access encryption algorithms in ofb, cbc, cfb, ecb and stream modes.
The algorithms it supports are DES, 3DES, RIJNDAEL, Twofish, IDEA, GOST,
CAST-256, ARCFOUR, SERPENT, SAFER+, and more.


%prep
%setup -q -n %{name}-%{version}

# Fix rpmlint warnings
chmod -x *.txt || true

%build
export libdirname=%{_lib}
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT

export libdirname=%{_lib}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/*

%changelog
* Thu Jan 22 2015 JoungKyun.Kim <http://oops.org> 100:1.1-1%{?dist}
- rebuilt on AN3

* Sun Mar 25 2012 JoungKyun.Kim <http://oops.org> 1.1-1%{?dist}
- init
